Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.rules
Class PolicyDemo

    java.lang.Object
      com.ibm.able.AbleObject
          com.ibm.able.examples.rules.PolicyDemo

All Implemented Interfaces:
  AbleBean, AbleDataBufferManager, AbleEventListener, AbleEventListenerManager, AbleEventQueueManager, AbleEventQueueProcessor, AblePropertyChangeManager, AbleSerializable, java.io.Serializable

public class PolicyDemo
extends AbleObject

This Java program (run it from the command line) creates and exercises an ABLE Policy Document (ruleset) in several different ways. The DecisionName that is implemented is a ProvisioningDecision.

See Also:
  Serialized Form

Field Summary

Fields inherited from class com.ibm.able.AbleObject
`changed, chgSupport, comment, dataFlowEnabled, defaultName, destBufferConnections, eventQueue, fileName, inputBuffer, listeners, logger, name, outputBuffer, parent, properties, propertyConnectionMgr, sourceBufferConnections, state, stateChgSupport, trace`

Constructor Summary
`PolicyDemo()`
`PolicyDemo(java.lang.String theName)`

Method Summary
`java.lang.Integer` | `immediatelyAddServersMethod(java.lang.Integer theNumber)` Adds the specified number of servers to the current configuration.
`static void` | `main(java.lang.String[] args)`
`void` | `process()` Performs the main, synchronous, standard processing function performed by this bean.
`java.lang.Integer` | `realTimeCpuUtiliztionMethod()` Determines, in real time, the current CPU utilization.
`java.lang.Integer` | `realTimeNumberOfActiveConnectionsMethod()` Determines, in real time, the current number of active connections.
`java.lang.Integer` | `realTimeNumberOfServersMethod()` Determines, in real time, the current number of active Servers.
`void` | `runDemo()` Controlling logic for the demo.

Methods inherited from class com.ibm.able.AbleObject
`addAbleEventListener, addDestBufferConnection, addPropertyChangeListener, addPropertyConnection, addSourceBufferConnection, addStateChangeListener, dataChanged, firePropertyChange, flushAbleEventQueue, getAbleEventListeners, getAbleEventProcessingEnabled, getAbleEventQueueSize, getComment, getDestBufferConnections, getFileName, getInputBuffer, getInputBuffer, getInputBufferAsString, getInputBufferAsStringArray, getInputBufferContents, getLogger, getName, getOutputBuffer, getOutputBuffer, getOutputBufferAsString, getOutputBufferAsStringArray, getOutputBufferContents, getParent, getProperties, getProperty, getPropertyChangeListeners, getPropertyConnectionManager, getSleepTime, getSourceBufferConnections, getState, getTraceLogger, handleAbleEvent, hasInputBuffer, hasOutputBuffer, init, init, isAbleEventPostingEnabled, isAbleEventProcessingEnabled, isChanged, isConnectable, isDataFlowEnabled, isTimerEventProcessingEnabled, notifyAbleEventListeners, process, processAbleEvent, processBufferConnections, processNoEventProcessingEnabledSituation, processTimerEvent, quitAll, quitEnabledEventProcessing, removeAbleEventListener, removeAllAbleEventListeners, removeAllBufferConnections, removeAllConnections, removeAllPropertyConnections, removeDestBufferConnection, removeProperty, removePropertyChangeListener, removePropertyConnection, removeSourceBufferConnection, removeStateChangeListener, reset, restartEnabledEventProcessing, restoreFromFile, restoreFromFile, restoreFromSerializedFile, restoreFromStream, resumeAll, resumeEnabledEventProcessing, saveToFile, saveToFile, setAbleEventProcessingEnabled, setChanged, setComment, setDataFlowEnabled, setFileName, setInputBuffer, setInputBuffer, setLogger, setName, setOutputBuffer, setOutputBuffer, setParent, setProperties, setProperty, setSleepTime, setState, setTimerEventProcessingEnabled, setTraceLogger, sourceConnectionsOK, startEnabledEventProcessing, suspendAll, suspendEnabledEventProcessing`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PolicyDemo

    public PolicyDemo()
               throws AbleException

### PolicyDemo

    public PolicyDemo(java.lang.String theName)
               throws AbleException

Method Detail

### process

    public void process()
                 throws AbleException

  Description copied from class: `AbleObject`
  Performs the main, synchronous, standard processing function performed by this bean.

  This base method implementation provides tracing only.

  Specified by:
    `process` in interface `AbleBean`
  Overrides:
    `process` in class `AbleObject`
  Throws:
    `AbleException`
  See Also:
    `AbleObject.inputBuffer`, `AbleObject.outputBuffer`, `AbleBean.process()`

### runDemo

    public void runDemo()

  Controlling logic for the demo.

### realTimeNumberOfServersMethod

    public java.lang.Integer realTimeNumberOfServersMethod()

  Determines, in real time, the current number of active Servers.

  Returns:
    The number of active servers.

### realTimeNumberOfActiveConnectionsMethod

    public java.lang.Integer realTimeNumberOfActiveConnectionsMethod()

  Determines, in real time, the current number of active connections.

  Returns:
    The number of active connections.

### realTimeCpuUtiliztionMethod

    public java.lang.Integer realTimeCpuUtiliztionMethod()

  Determines, in real time, the current CPU utilization.

  Returns:
    The CPU utilization.

### immediatelyAddServersMethod

    public java.lang.Integer immediatelyAddServersMethod(java.lang.Integer theNumber)

  Adds the specified number of servers to the current configuration.

  Parameters:
    `theNumber` - The number of servers to add.

  Returns:
    zero, if all servers were added successfully; otherwise, the number is servers that could not be added is returned.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005